"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vscode = require("vscode");
const template_html_1 = require("./template.html");
const issueProvider_1 = require("./issueProvider");
function activate(context) {
    let openIssues = [];
    const openIssuesProvider = new issueProvider_1.OpenIssuesProvider();
    const closedIssuesProvider = new issueProvider_1.ClosedIssuesProvider();
    vscode.window.registerTreeDataProvider('open-issues', openIssuesProvider);
    vscode.window.registerTreeDataProvider('closed-issues', closedIssuesProvider);
    // TODO: Implement in next version.
    // vscode.commands.registerCommand('giteaIssues.createIssue', async () => {
    //     const panel = vscode.window.createWebviewPanel('createIssue', 'Create an new Issue', vscode.ViewColumn.Active, {});
    //     panel.webview.html = "";
    // });
    vscode.commands.registerCommand('giteaIssues.openIssue', (issue) => {
        for (let i = 0; i !== openIssues.length; i++) {
            let openIssue = openIssues[i];
            if (openIssue.issueId === issue.issueId) {
                return;
            }
        }
        const panel = vscode.window.createWebviewPanel('issue', issue.label, vscode.ViewColumn.Active, {});
        panel.webview.html = template_html_1.showIssueHTML(issue);
        openIssues.push(issue);
        panel.onDidDispose((event) => {
            for (let i = 0; i !== openIssues.length; i++) {
                let openIssue = openIssues[i];
                if (openIssue.issueId === issue.issueId) {
                    openIssues.splice(openIssues.indexOf(issue), 1);
                }
            }
        });
    });
    vscode.commands.registerCommand('giteaIssues.refreshIssues', () => {
        openIssuesProvider.refresh();
        closedIssuesProvider.refresh();
    });
}
exports.activate = activate;
function deactivate() { }
exports.deactivate = deactivate;
//# sourceMappingURL=extension.js.map